CTRL + "Single Click" fails to un-select a selected icon

Bug #1845491 reported by Banin Abrar on 2019-09-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell-extension-desktop-icons (Ubuntu)
Low
Unassigned
Focal
Undecided
Unassigned

Bug Description

When selecting multiple files using CTRL + click, I noticed that I could NOT undo a selection by CRTL + clicking on it again.

Inside the Nautilus file browser, however, this issue is NOT present. From my testing, the issue is only present on the desktop.

PS: I filed this as a nautilus bug since desktop-icon related bugs are tagged as nautilus issues in this link: https://wiki.ubuntu.com/Bugs/FindRightPackage#Graphical_Environment

==================
SYSTEM INFORMATION
==================

lsb_release -rd
===============
Description: Ubuntu 19.04
Release: 19.04

apt-cache policy nautilus
=========================
nautilus:
  Installed: 1:3.32.1-0ubuntu0.19.04.0
  Candidate: 1:3.32.1-0ubuntu0.19.04.0
  Version table:
 *** 1:3.32.1-0ubuntu0.19.04.0 500
        500 http://ca.archive.ubuntu.com/ubuntu disco-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.32.0-0ubuntu2 500
        500 http://ca.archive.ubuntu.com/ubuntu disco/main amd64 Packages

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: nautilus 1:3.32.1-0ubuntu0.19.04.0
ProcVersionSignature: Ubuntu 5.0.0-29.31-generic 5.0.21
Uname: Linux 5.0.0-29-generic x86_64
ApportVersion: 2.20.10-0ubuntu27.1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Sep 26 17:40:24 2019
GsettingsChanges:
 b'org.gnome.nautilus.icon-view' b'default-zoom-level' b"'standard'"
 b'org.gnome.nautilus.window-state' b'initial-size' b'(768, 789)'
 b'org.gnome.nautilus.list-view' b'default-zoom-level' b"'small'"
InstallationDate: Installed on 2019-06-15 (102 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_CA.UTF-8
 SHELL=/usr/bin/zsh
SourcePackage: nautilus
UpgradeStatus: No upgrade log present (probably fresh install)
usr_lib_nautilus:

Revision history for this message
Banin Abrar (babrar) wrote :
Revision history for this message
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, indeed that's still an issue on 19.10, it should also be submitted upstream on https://gitlab.gnome.org/World/ShellExtensions/desktop-icons/issues if you maybe want to do that

affects: nautilus (Ubuntu) → gnome-shell-extension-desktop-icons (Ubuntu)
Changed in gnome-shell-extension-desktop-icons (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell-extension-desktop-icons - 20.04.0-2

---------------
gnome-shell-extension-desktop-icons (20.04.0-2) unstable; urgency=medium

  * debian/patches: Update translations from git
  * fileItem.js: unselect a file with Ctrl or Shift (LP: #1845491)
  * general: Fix key symbols (LP: #1844808)
  * fileItem.js: Refresh thumbnails if file changes (LP: #1879375)

 -- Marco Trevisan (Treviño) <email address hidden> Mon, 18 May 2020 20:32:21 +0200

Changed in gnome-shell-extension-desktop-icons (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello Banin, or anyone else affected,

Accepted gnome-shell-extension-desktop-icons into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell-extension-desktop-icons/20.04.0-2~ubuntu20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-shell-extension-desktop-icons (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
tags: added: focal
Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

Confirmed working with:

$ apt-cache policy gnome-shell-extension-desktop-icons
gnome-shell-extension-desktop-icons:
  Installed: 20.04.0-2~ubuntu20.04.1
  Candidate: 20.04.0-2~ubuntu20.04.1
  Version table:
 *** 20.04.0-2~ubuntu20.04.1 500
        500 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu focal-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     20.04.0-1 500
        500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu focal/main i386 Packages

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Chris Halse Rogers (raof) wrote : Update Released

The verification of the Stable Release Update for gnome-shell-extension-desktop-icons has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell-extension-desktop-icons - 20.04.0-2~ubuntu20.04.1

---------------
gnome-shell-extension-desktop-icons (20.04.0-2~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal
  * debian/control: Set ubuntu developers as maintainers
  * debian/{control*,gbp.conf}: Adapt to focal branching

gnome-shell-extension-desktop-icons (20.04.0-2) unstable; urgency=medium

  * debian/patches: Update translations from git
  * fileItem.js: unselect a file with Ctrl or Shift (LP: #1845491)
  * general: Fix key symbols (LP: #1844808)
  * fileItem.js: Refresh thumbnails if file changes (LP: #1879375)

 -- Marco Trevisan (Treviño) <email address hidden> Tue, 19 May 2020 14:17:45 +0200

Changed in gnome-shell-extension-desktop-icons (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers